# ExprIntrp_SyntaxError.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_ExprIntrp_SyntaxError.hxx>`
`#include <Standard_SStream.hxx>`
`#include <Standard_Failure.hxx>`

## Defines

#define | ExprIntrp_SyntaxError_Raise_if(CONDITION, MESSAGE) if (CONDITION) ExprIntrp_SyntaxError::Raise(MESSAGE);

## Define Documentation

#define ExprIntrp_SyntaxError_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) ExprIntrp_SyntaxError::Raise(MESSAGE);